/*
 *		      MPIDF_UM.C  MS Johnson  26-06-1990
 *
 *			     Copyright (c) 1990
 *
 *	NOT TO BE COPIED OR SOLD UNDER ANY CIRCUMSTANCES WITHOUT THE
 *			  PERMISSION OF THE AUTHOR
 *
 *	multiple alignment program developed by the author at home
 *	and with his own resources.
 *
 *
 *
 */

#include "malform.h"

extern char seq2[MAX_SQ1][MAX_LN1];
extern int ren[MAX_SQ1];

float mpidf_um(i,j,t_len)

int i,j;
int t_len;
{
register int k;
int id;
int small;
float fids;

/*
 *	count the identities
 */

id=0;
for(k=0;k<t_len;k++)
	{
	if(seq2[i][k]== '-' && seq2[j][k]== '-');
	else if(seq2[i][k]== '-');
	else if(seq2[j][k]== '-');
	else if(seq2[i][k]!=seq2[j][k]);
	else id++;
	}
small=ren[i];
if(small>ren[j])small=ren[j];

if(small!=0)fids = 100.0 * (float)id / (float)small;

return(fids);
}
